package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.ElecMeterH;
import com.ruoyi.ems.model.QueryMeter;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用电计量-小时Mapper接口
 *
 * @author ruoyi
 * @date 2024-12-03
 */
public interface ElecMeterHMapper {
    /**
     * 查询用电计量-小时列表
     *
     * @param queryMeter 查询计量条件
     * @return 用电计量-小时集合
     */
    List<ElecMeterH> selectElecMeterHList(QueryMeter queryMeter);

    /**
     * 查询用电计量-小时列表
     *
     * @param queryMeter 查询计量条件
     * @return 用电计量-小时集合
     */
    List<ElecMeterH> getElecMeterHByObj(QueryMeter queryMeter);

    /**
     * 新增用电计量-小时
     *
     * @param elecMeterH 用电计量-小时
     * @return 结果
     */
    int insertElecMeterH(ElecMeterH elecMeterH);

    /**
     * 修改用电计量-小时
     *
     * @param elecMeterH 用电计量-小时
     * @return 结果
     */
    int updateElecMeterH(ElecMeterH elecMeterH);

    /**
     * 删除用电计量（根据日期）
     *
     * @param date 日期
     * @return 结果
     */
    int deleteElecMeterHByDate(@Param("date") String date);
}
